Pamtopam User Manual(1)

NAME
pamtopam - copy PAM image

SYNOPSIS

pamtopam

DESCRIPTION

This program is part of Netpbm(1) .

pamtopam simply copies a PAM image from Standard Input to Standard Output. This may seem an unnecessary duplication of cat, but remember that a PAM program can read a PBM, PGM, or PPM image as if it were PAM. So pamtopam can read either a PBM, PGM, PPM, or PAM image and produce a PAM image as output.

Even that is of limited usefulness because of the fact that almost any program to which you would feed the resulting PAM image could also just take the original image directly. However, sometimes you really want a true PAM image.

You can do a more general job of translating PAM/PNM to PAM with pamchannel.

OPTIONS

There are no command line options defined specifically for pamtopam, but it recognizes the options common to all programs based on libnetpbm (See
 Common Options index.html#commonoptions .)

SEE ALSO
pamtopnm(1) , ppmtoppm(1) , pgmtopgm(1) , pam(1) , pnm(1) , ppm(1) , pgm(1) , pbm(1)

HISTORY

This program was added to Netpbm in Release 10.41 (December 2007).

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/pamtopam.html